Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v1.channels
Class FaultData

    java.lang.Object
      org.apache.ode.bpel.rtrep.v1.channels.FaultData

All Implemented Interfaces:
  java.io.Serializable, FaultInfo

    public class FaultData

extends java.lang.Object
implements java.io.Serializable, FaultInfo

Information about a BPEL fault.

See Also:
  Serialized Form

Constructor Summary
`FaultData(javax.xml.namespace.QName fault, org.w3c.dom.Element faultMsg, OVarType faultVarType, OBase location)`
`FaultData(javax.xml.namespace.QName fault, OBase location, java.lang.String explanation)`

Method Summary
`protected int` | `findLineNo(OBase location)` Find the best line number for the given location.
`int` | `getActivityId()`
`java.lang.String` | `getExplanation()`
`int` | `getFaultLineNo()`
`org.w3c.dom.Element` | `getFaultMessage()` Return potential message associated with fault.
`javax.xml.namespace.QName` | `getFaultName()` Get the fault name.
`OVarType` | `getFaultType()` The message type of the fault message data.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FaultData

    public FaultData(javax.xml.namespace.QName fault,
                     OBase location,
                     java.lang.String explanation)

### FaultData

    public FaultData(javax.xml.namespace.QName fault,
                     org.w3c.dom.Element faultMsg,
                     OVarType faultVarType,
                     OBase location)

Method Detail

### getFaultMessage

    public org.w3c.dom.Element getFaultMessage()

  Return potential message associated with fault. Null if no fault data.

  Specified by:
    `getFaultMessage` in interface `FaultInfo`
  Returns:
    fault message Element

### getFaultType

    public OVarType getFaultType()

  The message type of the fault message data. Null if no fault data.

  Returns:
    fault type

### getFaultName

    public javax.xml.namespace.QName getFaultName()

  Get the fault name.

  Specified by:
    `getFaultName` in interface `FaultInfo`
  Returns:
    qualified fault name.

### getFaultLineNo

    public int getFaultLineNo()

  Specified by:
    `getFaultLineNo` in interface `FaultInfo`

### getExplanation

    public java.lang.String getExplanation()

  Specified by:
    `getExplanation` in interface `FaultInfo`

### getActivityId

    public int getActivityId()

  Specified by:
    `getActivityId` in interface `FaultInfo`

### findLineNo

    protected int findLineNo(OBase location)

  Find the best line number for the given location.

  Parameters:
    `location` -
  Returns:
    line number

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD